<?php
/**
 * $Id: prefs.php 311 2008-01-31 16:15:38Z duck $
 *
 * Copyright Obala d.o.o. (www.obala.si)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Duck <duck@obala.net>
 * @package Usms
 */

$prefGroups['preview'] = array(
    'column' => _("Preview"),
    'label' => _("Preview settings"),
    'desc' => _("Set default previrew settings like sortorder, sort feild ..."),
    'members' => array('sortby', 'sortdir', 'perpage', 'hide_deleted')
);

$prefGroups['message'] = array(
    'column' => _("Message"),
    'label' => _("Masage composon and ther settings"),
    'desc' => _("Edit messages in html format ...."),
    'members' => array('richtext')
);

$prefGroups['lists'] = array(
    'column' => _("List"),
    'label' => _("White and black lists"),
    'desc' => _("Set users who you wont and dont wont to receive messsages."),
    'members' => array('whitelist', 'blacklist')
);

$_prefs['sortdir'] = array(
    'value' => 'DESC',
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array('ASC' => _("Ascending"),
                    'DESC' => _("Descending")),
    'desc' => _("Sort direction: ")
);

$_prefs['sortby'] = array(
    'value' => 'id',
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array('id' => _("Date"),
                    'user' => _("Sender/Reciver"),
                    'status' => _("Status"),
                    'priority' => _("Priority"),
                    'chars' => _("Message lenght"),
                    'attaches' => _("Number of attaches")),
    'desc' => _("Default mesage sort parameter: ")
);

$_prefs['hide_deleted'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array(0 => _("Yes"),
                    1 => _("No")),
    'desc' => _("Show messages marked as deleted?")
);

$_prefs['perpage'] = array(
    'value' => 20,
    'locked' => false,
    'shared' => false,
    'type' => 'number',
    'desc' => _("How meny messages to show per page?")
);

$_prefs['whitelist'] = array(
    'value' => '',
    'locked' => false,
    'shared' => false,
    'type' => 'textarea',
    'desc' => _("Manage users who you want to send mail faster. Separate by any commas, space or newe lines.")
);

$_prefs['blacklist'] = array(
    'value' => '',
    'locked' => false,
    'shared' => false,
    'type' => 'textarea',
    'desc' => _("Manage users who you DON'T want to receive mails. Separate by any commas, space or newe lines.")
);

$_prefs['richtext'] = array(
    'value' => 0,
    'locked' => false,
    'shared' => false,
    'type' => 'enum',
    'enum' => array(1 => _("Yes"),
                    0 => _("No")),
    'desc' => _("Compose messages in html?")
);

