<?php
/**
 * Check if Usms is installed corretly
 *
 * Copyright 2007 Obala d.o.o. (www.obala.si)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/news/LICENSE.
 *
 * $Id: index.php 190 2008-01-07 18:05:07Z duck $
 *
 * @author Duck <duck@obala.net>
 * @package Usms
 */

define('USMS_BASE', dirname(__FILE__));
$news_configured = (is_readable(USMS_BASE . '/config/conf.php') &&
                    is_readable(USMS_BASE . '/config/prefs.php'));

if (!$news_configured) {
    define('HORDE_LIBS', '');
    require USMS_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('usms', USMS_BASE,
                                   array('conf.php', 'prefs.php'));
}

require USMS_BASE . '/browse.php';
