<?php
/**
 * Compose message class
 *
 * Copyright 2007 Obala d.o.o. (www.obala.si)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/news/LICENSE.
 *
 * $Id: ComposeAjax.php 155 2008-01-02 16:08:56Z duck $
 *
 * @author Duck <duck@obala.net>
 * @package Usms
 */

class Usms_ComposeAjax_Form extends Horde_Form {

    /**
     * Creator
     */
    public function __construct($vars, $title, $name = '')
    {
        parent::__construct($vars, $title, $name);

        $this->setButtons(array(_("Send"), _("Close")) );

        $this->addHidden('', 'user_to', 'text', true, true);
        $this->addHidden('', 'url', 'text', true, true);
        $this->addVariable(_("Title"), 'title', 'text', true, false, false);
        $this->addVariable(_("Content"), 'content', 'longtext', true, false, false, array('10', '37'));

    }
}
