<?php
/**
 * Read message
 *
 * Copyright 2007 Obala d.o.o. (www.obala.si)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/news/LICENSE.
 *
 * $Id: read.php 194 2008-01-08 09:11:49Z duck $
 *
 * @author Duck <duck@obala.net>
 * @package Usms
 */

define('USMS_BASE', dirname(__FILE__));
require_once USMS_BASE . '/lib/base.php';

$title = _("Reading message");
$id = Util::getFormData('id');
$folder = Util::getFormData('folder', 'index');
$return_url = Util::addParameter(Horde::applicationUrl('browse.php'), 'folder', $folder);

// Get message
$message = $usms->getMessage($id, $folder);
if ($message instanceof PEAR_Error) {
    $notification->push($message->getMessage(), 'horde.error');
    header('Location: ' . Horde::applicationUrl('browse.php'));
    exit;
}

Horde::addScriptFile('stripe.js', 'horde', true);
require USMS_TEMPLATES . '/common-header.inc';
require USMS_TEMPLATES . '/menu.inc';
require USMS_TEMPLATES . '/read/read.php';
require $registry->get('templates', 'horde') . '/common-footer.inc';
