
CREATE TABLE IF NOT EXISTS `usms_archive` (
  `id` bigint(18) unsigned NOT NULL default '0',
  `user_to` char(11) NOT NULL default '',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `user_from` char(11) NOT NULL default '',
  `priority` tinyint(1) unsigned NOT NULL default '0',
  `title` char(100) NOT NULL default '',
  `chars` smallint(4) unsigned NOT NULL default '0',
  `attaches` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `user_from` (`user_from`),
  KEY `user_to` (`user_to`),
  KEY `chars` (`chars`),
  KEY `attaches` (`attaches`),
  KEY `priority` (`priority`),
  KEY `status` (`status`)
);

CREATE TABLE IF NOT EXISTS `usms_inbox` (
  `id` bigint(18) unsigned NOT NULL default '0',
  `user_to` char(11) NOT NULL default '',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `user_from` char(11) NOT NULL default '',
  `priority` tinyint(1) unsigned NOT NULL default '0',
  `title` char(100) NOT NULL default '',
  `chars` smallint(4) unsigned NOT NULL default '0',
  `attaches` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `user_from` (`user_from`),
  KEY `user_to` (`user_to`),
  KEY `chars` (`chars`),
  KEY `attaches` (`attaches`),
  KEY `priority` (`priority`),
  KEY `status` (`status`)
);
