<div class="header"><?php echo htmlspecialchars($title) ?></div>
<table style="width: 100%;" class="striped" id="message">
<tbody>
<tr>
    <td align="right" valign="top"><b><?php echo _("Date") ?>:</b>&nbsp;</td>
    <td style="width: 100%"><?php echo date('d.m.Y ob h:i:s', Usms::index($id)) ?></td>  
</tr>
<tr>
    <td nowrap="nowrap" align="right" valign="top"><b><?php echo _("From") ?>:</b>&nbsp;</td>
    <td style="width: 100%"><?php echo $message['user']; ?></td>
</tr>
<tr>
    <td nowrap="nowrap" align="right" valign="top"><b><?php echo _("Title") ?>:</b>&nbsp;</td>
    <td style="width: 100%"><?php echo $message['title'] ?></td>
</tr>
<tr>
    <td nowrap="nowrap" align="right" valign="top"><b><?php echo _("Prority") ?>:</b>&nbsp;</td>
    <td style="width: 100%">
    <?php
        switch ($message['priority']) {

        case Usms::PRIORITY_LOW:
            echo _("Low") . Horde::img('mail_priority_low.png', _("Non-Important"));
        break;

        case Usms::PRIORITY_HIGH:
            echo _("High") . Horde::img('mail_priority_high.png', _("Important"));
        break;

        case Usms::PRIORITY_NORMAL:
        default:
            echo _("Normal");
        break;
        }
    ?>
    </td>
</tr>
<?php

if (isset($message['attachments'])) {

    echo '
    <tr>
    <td nowrap="nowrap" align="right" valign="top"><b>' .  _("Attached files") . ':</b>&nbsp;</td><td>';

    require_once 'Horde/MIME/Part.php';
    require_once 'Horde/MIME/Viewer.php';
    require_once 'Horde/MIME/Magic.php';
    require_once 'Horde/MIME/Contents.php';
    require HORDE_BASE . '/config/mime_drivers.php';

    $download_img = Horde::img('save.png', _("Download"), null, $GLOBALS['registry']->getImageDir('horde'));
    $download_zip = Horde::img('mime/compressed.png', _("Download Zip Compressed"), null, $GLOBALS['registry']->getImageDir('horde'));
    $view_url = Util::addParameter(Horde::applicationUrl('file.php'), array('user' => $message['user'], 'id' => $id));

    echo Horde::link(Util::addParameter($view_url, array('actionID' => 'download_zip', 'id' => $id)), _("Compress and download all files at once")) . $download_zip . ' '  . _("Compress and download all files at once") . '</a> ' . "\n";
    echo '<ul>' . "\n";

    $size = sizeof($message['attachments']);
    for ($i = 0; $i < $size; $i++) {
        echo '<li> ' . "\n";
        echo Horde::link(Util::addParameter($view_url, array('actionID' => 'download_zip','file' => $i)), sprintf(_("Compress and download %s"), $message['attachments'][$i]['name'])) . $download_zip . '</a> ' . "\n";
        echo Horde::link(Util::addParameter($view_url, array('actionID' => 'download_file','file' => $i)), sprintf(_("Download %s"), $message['attachments'][$i]['name'])) . $download_img . '</a> ' . "\n";
        echo Horde::link(Util::addParameter($view_url, array('actionID' => 'view_file', 'file' => $i)), sprintf(_("Preview %s"), $message['attachments'][$i]['name']), '', '_file_view');
        echo Horde::img(MIME_Viewer::getIcon(MIME_Magic::extToMIME(substr($message['attachments'][$i]['name'], strpos($message['attachments'][$i]['name'], '.')))), '', '', '') . ' ';
        echo $message['attachments'][$i]['name'] . '</a> ' . "\n";

        echo ' (' . Usms::format_filesize($message['attachments'][$i]['size']) . ')';
        echo '</li> ' . "\n";
    }
    echo '</ul>' . "\n";

    echo '</td></tr>';
}
?>
</tbody>
</table>

<?php
if ($folder == 'sent') {
    require USMS_TEMPLATES . '/read/actions_sent.php';
} else {
    require USMS_TEMPLATES . '/read/actions.php';
}
?>

<div class="msgcontent">
<?php echo $message['content']; ?>
</div>

<?php
if ($folder == 'sent') {
    require USMS_TEMPLATES . '/read/actions_sent.php';
} else {
    require USMS_TEMPLATES . '/read/actions.php';
}
