<?php

switch ($row['status']) {

case Usms::STATUS_UNSEEN:
    $mstatus  = 'unseen';
    $mstatushi = 'unseen-hi';
break;

case Usms::STATUS_REPLIED:
    $mstatus  = 'answered';
    $mstatushi  = 'answered-hi';
break;

case Usms::STATUS_FORWARDED:
    $mstatus  = 'text';
    $mstatushi  = 'text-hi';
break;

case Usms::STATUS_DELETED:
    $mstatus  = 'deleted';
    $mstatushi  = 'deleted-hi';
break;

case Usms::STATUS_SEEN:
default:
    $mstatus  = 'text';
    $mstatushi  = 'text-hi';
break;

}

if ($row['priority'] == Usms::PRIORITY_HIGH) {
    $mstatus  = 'important';
    $mstatushi  = 'important-hi';
}

?>

<tr id="row<?php echo $row['id'] ?>" class="<?php echo $mstatus ?>" onmouseover="className='<?php echo $mstatushi ?>';" onmouseout="className='<?php echo $mstatus ?>';">
<td nowrap="nowrap" style="width: 10%">
<?php

if ($folder != 'sent') {
    echo '<input id="check' .  $row['id']  . '" type="checkbox" name="id[]" value="' . $row['id'] . '" />';
}

echo ' ';

if ($row['attaches']>0) {
    echo Horde::img('manage_attachments.png', _("Attachment")) . ' ';
}

switch ($row['status']) {

case Usms::STATUS_UNSEEN:
    echo Horde::img('mail_unseen.png', _("Unseen")) . ' ';
break;

case Usms::STATUS_REPLIED:
    echo Horde::img('mail_answered.png', _("Replayed")) . ' ';
break;

case Usms::STATUS_FORWARDED:
    echo Horde::img('mail_forwarded.png', _("Forwarded")) . ' ';
break;

case Usms::STATUS_DELETED:
    echo Horde::img('mail_deleted.png', _("Deleted")) . ' ';
break;
}

switch ($row['priority']) {

case Usms::PRIORITY_LOW:
    echo Horde::img('mail_priority_low.png', _("Non-Important"));
break;

case Usms::PRIORITY_HIGH:
    echo Horde::img('mail_priority_high.png', _("Important"));
break;

}

?>
</td>

<td nowrap="nowrap" style="width: 20%"><?php echo $row['date'] ?>&nbsp;</td>
<td style="width: 10%"><?php echo $row['user']; ?></td>
<td nowrap="nowrap" style="width: 40%"><?php echo Horde::link(Util::addParameter($read_url, 'id', $row['id']), $row['title']) . $row['title']?></td>
<td style="width: 10%"><?php echo $row['chars'] ?></td>
<td style="width: 10%"><?php echo $row['attaches'] ?></td>
</tr>
