<div class="control" style="text-align: center">
<?php

$url = Util::addParameter(Horde::applicationUrl('compose.php'), array('actionID' => 'replay', 'folder' => $folder, 'id' => $id));
echo Horde::link($url, _("Replay"), 'widget') . _("Replay") . '</a>';

$url = Util::addParameter(Horde::applicationUrl('compose.php'), array('actionID' => 'forward', 'folder' => $folder, 'id' => $id));
echo ' | ' . Horde::link($url, _("Forward"), 'widget') . _("Forward") . '</a>';

if ($message['status'] == Usms::STATUS_SEEN) {
    $url = Util::addParameter($return_url, array('actionID' => 'unseen', 'id' => $id));
    echo ' | ' . Horde::link($url, _("Mark as unseen"), 'widget') . _("Mark as unseen") . '</a>';
}

$url = Util::addParameter(Horde::applicationUrl('browse.php'), array('id' => $id, 'actionID' => 'move', 'from' => $folder));
if ($folder == 'inbox') {
    $name = sprintf(_("Move to %s"), _("Archive"));
    echo ' | ' . Horde::link(Util::addParameter($url, 'to', 'archive'), $name, 'widget');
    echo $name . '</a>';
} else {
    $name = sprintf(_("Move to %s"), 'inbox');
    echo ' | ' . Horde::link(Util::addParameter($url, 'to', 'inbox'), $name, 'widget');
    echo $name . '</a>';
}

if ($message['status'] == Usms::STATUS_DELETED) {
    $url = Util::addParameter($return_url, array('actionID' => 'undelete', 'id' => $id));
    echo ' | ' . Horde::link($url, _("Undelete"), 'widget') . _("Undelete") . '</a>';
} else {
    $url = Util::addParameter($return_url, array('actionID' => 'delete', 'id' => $id));
    echo ' | ' . Horde::link($url, _("Delete"), 'widget') . _("Delete") . '</a>';

    $url = Util::addParameter($return_url, array('actionID' => 'markdeleted', 'id' => $id));
    echo ' | ' . Horde::link($url, _("Mark as deleted"), 'widget') . _("Mark as deleted") . '</a>';
}

$url = Util::addParameter($return_url, array('actionID' => 'whitelist', 'user' => $message['user']));
echo ' | ' . Horde::link($url, _("Whitelist"), 'widget') . _("Whitelist") . '</a>';

$url = Util::addParameter($return_url, array('actionID' => 'blacklist', 'user' => $message['user']));
echo ' | ' . Horde::link($url, _("Blacklist"), 'widget') . _("Blacklist") . '</a>';

$url = Util::addParameter(Horde::applicationUrl('report.php'), array('actionID' => 'forward', 'folder' => $folder, 'id' => $id));
echo ' | ' . Horde::link($url, _("Report as abuse"), 'widget') . _("Report as abuse") . '</a>';

?>
</div>